/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for KeyObjectSelectionDocumentTitle
 */
public enum EnumCV_KeyObjectSelectionDocumentTitle
{
	// Key Object Selection Document Title - CID 7010
		OF_INTEREST_113000("113000"),
		REJECTED_FOR_QUALITY_REASONS_113001("113001"),
		FOR_REFERRING_PROVIDER_113002("113002"),
		FOR_SURGERY_113003("113003"),
		FOR_TEACHING_113004("113004"),
		FOR_CONFERENCE_113005("113005"),
		FOR_THERAPY_113006("113006"),
		FOR_PATIENT_113007("113007"),
		FOR_PEER_REVIEW_113008("113008"),
		FOR_RESEARCH_113009("113009"),
		QUALITY_ISSUE_113010("113010"),
		BEST_IN_SET_113013("113013"),
		FOR_PRINTING_113018("113018"),
		FOR_REPORT_ATTACHMENT_113020("113020"),
		FOR_LITIGATION_113021("113021"),
		MANIFEST_113030("113030"),
		SIGNED_MANIFEST_113031("113031"),
		COMPLETE_STUDY_CONTENT_113032("113032"),
		SIGNED_COMPLETE_STUDY_CONTENT_113033("113033"),
		COMPLETE_ACQUISITION_CONTENT_113034("113034"),
		SIGNED_COMPLETE_ACQUISITION_CONTENT_113035("113035"),
		GROUP_OF_FRAMES_FOR_DISPLAY_113036("113036"),
		REJECTED_FOR_PATIENT_SAFETY_REASONS_113037("113037"),
		INCORRECT_MODALITY_WORKLIST_ENTRY_113038("113038"),
		DATA_RETENTION_POLICY_EXPIRED_113039("113039");

	private String value;

	EnumCV_KeyObjectSelectionDocumentTitle(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
